package tacv.vis3d.layer;

import com.jme3.math.Vector3f;
import cz.agents.alite.vis3d.Vis3d;
import cz.agents.alite.vis3d.layer.DefaultSetting3DLayer;

public class AS2Setting3DLayer extends DefaultSetting3DLayer {

    private AS2Setting3DLayer() {
    }

    public static AS2Setting3DLayer create() {
        return new AS2Setting3DLayer();
    }

    @Override
    public void init(Vis3d vis) {
        super.init(vis);
        //add no pause on focus lost
        vis.setPauseOnLostFocus(false);
    }

    @Override
    protected Vector3f setDefaultCamLocation() {
        return new Vector3f(75, 70, -150);
    }

    @Override
    protected Vector3f setDefaultCamLookAt() {
        return new Vector3f(75, 0, -75);
    }

    @Override
    protected float setDefaultWorldScale() {
        return 0.1f;
    }
}
