package tacv.vis3d.spatial;

import com.jme3.scene.Spatial;
import cz.agents.alite.vis3d.spatial.CarSpatial;

public class Truck extends CarSpatial {

    private static final String[] WHEEL_NAMES = new String[] {"LF", "RF", "LB", "RB", "LBB", "RBB"};

    public Truck(String name) {
        super(name);
    }

    @Override
    public Spatial getWheel(String wheelName) {
        return getChild(wheelName);
    }

    @Override
    public String[] getWheelNames() {
        return WHEEL_NAMES;
    }


}
