package cz.agents.alite.vis3d.control;

import com.jme3.renderer.RenderManager;
import com.jme3.renderer.ViewPort;
import com.jme3.scene.Spatial;
import com.jme3.scene.control.AbstractControl;
import com.jme3.scene.control.Control;

public abstract class AbstractControlExtend extends AbstractControl implements Cloneable{
	
	@Override
	protected void controlRender(RenderManager rm, ViewPort vp) {}

	@Override
	protected abstract void controlUpdate(float tpf);
	
	@Override
	public Control cloneForSpatial(Spatial spatial) {
		try {
			//fellow copy is sufficient even desirable
			Control ret = (Control) super.clone();
			//we've just copied the spatial reference, it must be set to the cloned one 
			//(as it isn't ensured in the spatial.clone() method...)
			ret.setSpatial(spatial);
			return ret;
		} catch (CloneNotSupportedException e) {
			e.printStackTrace();
		}
		return null;
	}

}
